### Home Classes Methods

### In Files

- lib/memcache.rb

### Parent

Memcache::Error

### Methods

- ::new

### Class/Module Index

Quicksearch

- Memcache
- Memcache::Base
- Memcache::ClientError
- Memcache::ConnectionError
- Memcache::Error
- Memcache::LocalServer
- Memcache::Migration
- Memcache::NullServer
- Memcache::PGServer
- Memcache::Pool
- Memcache::Segmented
- Memcache::SegmentedNativeServer
- Memcache::SegmentedServer
- Memcache::Server
- Memcache::ServerError
- PGconn

No matching classes.

# Memcache::ConnectionError

### Public Class Methods

new(e) click to toggle source

    # File lib/memcache.rb, line 23
    def initialize(e)
      if e.kind_of?(String)
        super
      else
        super("(#{e.class}) #{e.message}")
        set_backtrace(e.backtrace)
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.